## afsadm 1.1-4

=== Makefile ===
CC = gcc
#CFLAGS = -g

CFLAGS	= `dpkg-buildflags --get CFLAGS`
CFLAGS += `dpkg-buildflags --get CPPFLAGS`
#clang won't shut up about associations in conditional clauses
CFLAGS += -Wno-parentheses -fcommon

LDFLAGS = `dpkg-buildflags --get LDFLAGS`

#LDFLAGS	= -Wl,-rpath,/usr/lib 

LIBS 	= -L/usr/lib -L. -lkrb5 -lcom_err -lkafs

#CLNTLIBS = -L/usr/lib -lkrb5 -lcom_err -lcrypto -lreadline -lcurses -lk5crypto -lnsl
#CLNTLIBS = -L/usr/lib -lkrb5 -lcom_err -l:libreadline.so.6 -lk5crypto
CLNTLIBS = -L/usr/lib -lkrb5 -lcom_err -lreadline -lk5crypto
INCLUDES = -I/usr/include

SOURCES=parceconf.c server.c struct.c afsadmd.c afsadmclnt.c
OBJECTS=parseconf.o server.o struct.o afsadmd.o
CLNTOBJECTS=afsadmclnt.o
HEADERS=afsadm.h

#DEFINES        = -D_DEBUG_ -DAFSADMDIR=/usr/afs/afsadm

all:	libkafs.so afsadmd afsadm

build:	all

afsadm: $(CLNTOBJECTS)
	$(CC) $(LDFLAGS) -o $(@) $(CLNTOBJECTS) $(CLNTLIBS)

afsadmd: $(OBJECTS)
	$(CC) $(LDFLAGS) -o $(@) $(OBJECTS) $(LIBS)

libkafs.so:
	#gcc -DAFS_PIOCTL -DAFS_SETPAG -fPIC -c afssys.c -I/usr/local/krb5/include -Wall
	#magic constant read from /etc/name_to_sysnum
	gcc -DAFS_SYSCALL=65 -fPIC -c afssys.c -I/usr/include/krb5 -Wall
	#ld -G -z text -o $(@) afssys.o
	gcc -shared -o $(@) afssys.o

.c.o:
	$(CC) -c $(DEFINES) $(CFLAGS) $(INCLUDES) $<

install:
	mkdir $(DESTDIR)
	mkdir $(DESTDIR)/usr
	mkdir $(DESTDIR)/usr/bin
	mkdir $(DESTDIR)/usr/lib
	cp afsadm $(DESTDIR)/usr/bin
	cp afsadmd $(DESTDIR)/usr/bin
	cp libkafs.so $(DESTDIR)/usr/lib

clean:	
	rm -f $(CLNTOBJECTS) $(OBJECTS) libkafs.so afssys.o afsadm afsadmd
	rm -rf $(DESTDIR)

=== debian/changelog ===
afsadm (1.1-4) unstable; urgency=medium

  * Non-maintainer upload.
  * recompile for bookworm
  * change checksum from CRC32 to SHA1

 -- Michal Svamberg <svamberg@civ.zcu.cz>  Tue, 12 Dec 2023 16:02:08 +0100

afsadm (1.1-3) unstable; urgency=medium

  * Non-maintainer upload.
  * recompile for bookworm

 -- Michal Svamberg <svamberg@civ.zcu.cz>  Wed, 18 Oct 2023 01:26:24 +0200

afsadm (1.1-2) unstable; urgency=medium

  * Non-maintainer upload.
  * recompile for buster

 -- Michal Svamberg <svamberg@civ.zcu.cz>  Thu, 22 Aug 2019 00:16:10 +0200

afsadm (1.1-1) unstable; urgency=medium

  * zavislosti opraveny na krb5-user|heimdal-clients

 -- Jan Krcmar <honza801@civ.zcu.cz>  Mon, 14 Dec 2015 14:09:18 +0100

afsadm (1.1-0) unstable; urgency=low

  * fix deprecated functions by Majlen

 -- Michal Svamberg <svamberg@civ.zcu.cz>  Fri, 30 Oct 2015 14:26:25 +0200

afsadm (1.0-3) unstable; urgency=low

  * upload server part and merge with afsadm-client
  * rozdeleni baliku na afsadm-server a afsadm-client

 -- Michal Švamberg <svamberg@civ.zcu.cz>  Sat, 14 Feb 2015 14:26:25 +0200

afsadm-client (1.0-2) unstable; urgency=low

  * Non-maintainer upload.
  * Repair dependences, manualsite

 -- Michal Švamberg <svamberg@civ.zcu.cz>  Mon, 29 Jul 2013 14:26:25 +0200

afsadm-client (1.0-1) unstable; urgency=low

  * Initial release (Closes: #1001)  

 -- Jiří Loudil <loudilj@students.zcu.cz>  Sun, 11 Nov 2012 12:22:14 +0100

=== debian/control ===
Source: afsadm
Section: net
Priority: optional
Maintainer: Michal Švamberg <svamberg@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~),
		dh-buildinfo,
		dh-autoreconf,
		libreadline-dev,
		libssl-dev,
		libkrb5-dev,
		libncurses-dev
Standards-Version: 3.9.3
Homepage: http://support.zcu.cz/index.php/LPS:Afsadm

Package: afsadm-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, krb5-user | heimdal-clients, openafs-krb5
Description: AFS access control tool - client part
 Afsadm is a simple tool that allows defined 
 users to perform privileged operations
 in AFS.

Package: afsadm-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, krb5-user | heimdal-clients, openafs-krb5, openafs-client, openbsd-inetd, update-inetd
Description: AFS access control tool - server part
 Afsadm is a simple tool that allows defined 
 users to perform privileged operations
 in AFS.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_BUILD_MAINT_OPTIONS

DPKG_EXPORT_BUILDFLAGS = 1

-include /usr/share/dpkg/buildflags.mk

build:	$(MAKE)

binary:	
	dh_testroot
	dh_auto_install
	dh_installdirs
	dh_install
	dh_shlibdeps
	dh_strip
	dh_installdocs
	dh_installchangelogs
	dh_installman 
	dh_installdeb
	dh_gencontrol
	dh_compress
	dh_md5sums
	dh_builddeb

clean:	
	dh_testroot
	rm -f build-stamp configure-stamp
	$(MAKE) clean
	dh_clean

%:
	dh $@ 

override_dh_auto_configure:
	dh_auto_configure -- $(shell dkpg-buildflags --export=make)
